<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ResumeEmployeeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ResumeEmployee">
        <id column="employee_id" property="employeeId" />
        <result column="create_time" property="createTime" />
        <result column="employee_name" property="employeeName" />
        <result column="employee_code" property="employeeCode" />
        <result column="email" property="email" />
        <result column="phone_number" property="phoneNumber" />
        <result column="sex" property="sex" />
        <result column="employee_position" property="employeePosition" />
        <result column="hire_date" property="hireDate" />
        <result column="employee_status" property="employeeStatus" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, employee_id, employee_name, employee_code, email, phone_number, sex, employee_position, hire_date, employee_status, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
